DMXQueryExtension(3X) |  | DMXQueryExtension(3X)

# NAME

DMXQueryExtension - determine if DMX is available

# SYNOPSIS

#include <X11/extensions/dmxext.h>
Bool DMXQueryExtension(Display *dpy,
int *event_basep,
int *error_basep);

# DESCRIPTION

DMXQueryExtension() determines if the DMX protocol extension is available. It will be available if the server is an Xdmx(1) server.

# RETURN VALUE

If the DMX protocol extension is available, event_basep and error_basep will be set to the event and error bases, respectively, and True will be returned. Otherwise, False will be returned.

# SEE ALSO

DMXQueryVersion(3X), DMX(3X), Xdmx(1)

XFree86 | 4.5.0